package model

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IRobotConfig RobotConfig存储接口
type IRobotConfig interface {
	// 查询数据
	Query(ctx context.Context, params schema.RobotConfigQueryParam, opts ...schema.RobotConfigQueryOptions) (*schema.RobotConfigQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.RobotConfigQueryOptions) (*schema.RobotConfig, error)
	// 创建数据
	Create(ctx context.Context, item schema.RobotConfig) error
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.RobotConfig) error
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
}
